Jump to content
  • 2
dAlexis

Восстановление работы DVB-Т

Question

См. тут - 

 

Проблема в том, что при работе с 3.1, насколько я понял, пропало многое для DVB -  в треде указание на

Module /opt/lib/modules/4.9-ndm-0/kernel/compat.ko not found. 

У меня сегодня при инсталляции тоже на compat ругалось, не дома ставил, не переписал точно, как именно. Тюнер (Т220) еще надо к роутеру поднести, но проблемы предвижу...

Share this post


Link to post
Share on other sites

9 answers to this question

Recommended Posts

  • 2

Модуль compat.ko в модулях  отсутствует

Edited by Sam106

Share this post


Link to post
Share on other sites
  • 0
8 часов назад, dAlexis сказал:

См. тут - 

 

Проблема в том, что при работе с 3.1, насколько я понял, пропало многое для DVB -  в треде указание на

Module /opt/lib/modules/4.9-ndm-0/kernel/compat.ko not found. 

У меня сегодня при инсталляции тоже на compat ругалось, не дома ставил, не переписал точно, как именно. Тюнер (Т220) еще надо к роутеру поднести, но проблемы предвижу...

Версия сборки ядра периодически растет, сейчас уже 4.9-ndm-3. 
Так что попробуйте модуль по актуальному пути поискать. 

Share this post


Link to post
Share on other sites
  • 0
2 hours ago, r13 said:

попробуйте модуль по актуальному пути поискать. 

1 hour ago, Sam106 said:

Модуль compat.ko в модулях  отсутствует

Если на него даже при инсталляции лается - мое мнение было таким, что его там точно нет, спасибо за подтверждение

 

Share this post


Link to post
Share on other sites
  • 0

Если кратко - сейчас ни у кого ни интереса, ни времени заниматься модулями нет.

Если нужно, чтобы работало - в вашем распоряжении legacy 2.11 и 2.16.

Share this post


Link to post
Share on other sites
  • 0

В legacy:

~ # ndmq -p "show version" -P release
2.11.D.5.0-0
~ # ls -1 /lib/modules/3.4.113/compat*
/lib/modules/3.4.113/compat_xtables.ko
~ # 
...
~ # ndmq -p "show version" -P release
2.16.D.1.0-0
~ # ls -1 /lib/modules/3.4.113/compat*
/lib/modules/3.4.113/compat_xtables.ko
~ #

нету

Share this post


Link to post
Share on other sites
  • 0
26 минут назад, TheBB сказал:

В legacy:


~ # ndmq -p "show version" -P release
2.11.D.5.0-0
~ # ls -1 /lib/modules/3.4.113/compat*
/lib/modules/3.4.113/compat_xtables.ko
~ # 
...
~ # ndmq -p "show version" -P release
2.16.D.1.0-0
~ # ls -1 /lib/modules/3.4.113/compat*
/lib/modules/3.4.113/compat_xtables.ko
~ #

нету

Пакет прошивки для dvb-t установлен?

это с 2.16.D.1:

 ls /lib/modules/3.4.113/comp*
/lib/modules/3.4.113/compat.ko
/lib/modules/3.4.113/compat_xtables.ko

Share this post


Link to post
Share on other sites
  • 0

На сколько помню, их (модулей) было две штуки, один - из "стандартной поставки", второй - из dvb. Первый исчез, второй - не установлен. )))

--- > upd

 

~ # ndmq -p "show version" -P release
2.11.D.2.0-6
~ # ls -1 /lib/modules/3.4.113/compat*
/lib/modules/3.4.113/compat.ko
/lib/modules/3.4.113/compat_xtables.ko
~ #

dvb не установлен )))

---> upd2

в общем, full hard reset надо ))) (развлекался со сборкой модулей и накрутил так, что и сам запутался, откуда ноги растут)

Edited by TheBB
upd2

Share this post


Link to post
Share on other sites
  • 0
9 hours ago, TheBB said:

(развлекался со сборкой модулей и накрутил так, что и сам запутался, откуда ноги растут)

В этом деле человек с ником Crazycat разбирается, он часто на форумах разных по ТВ бывает. Попробую его на ixbt заловить, но я его и в libreElec с патчами разными видел. Не знаю, что разрабы с dvb делают, но его ломают регулярно.

Share this post


Link to post
Share on other sites
  • 0

[offtop] прим. Я не занимаюсь ни прошивкой, ни модулями ядра в составе прошивки, ни приложениями для моб. устройств.

Понадобилось мне проверить один пакет, причём на 2.05, а files.keenopt.ru "ласты склеил", модулей ядра нет. Поковырялся и собрал нужное. Дальше решил попробовать и на ядре 3.4, отвлёкся, переключился на др. задачи, "успешно забыл". [/offtop]

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...